SMAO API Documentation

List MSP-owned licenses

Lists licenses owned by an MSP organization. Customer organization IDs return 404.

GET
/organizations/{organizationId}/licenses
AuthorizationBearer <token>

In: header

Path Parameters

organizationIdstring
Match^[a-fA-F0-9]{24}$

Query Parameters

status?string
Value in"available" | "assigned" | "disabled"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.smao.ai/api/distributor/v2/organizations/string/licenses"
{
  "status": "success",
  "licenses": [
    {
      "id": "string",
      "externalLicenseId": "string",
      "status": "available",
      "owningOrganizationId": "string",
      "assignedOrganizationId": "string",
      "plan": {
        "id": "string",
        "slug": "string",
        "name": "string",
        "commitment": "none",
        "currency": "string",
        "baseFee": 0
      },
      "assignedAt": "2019-08-24T14:15:22Z",
      "disabledAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}

{
  "status": "error",
  "errorCode": "RATE_LIMITED",
  "message": "Too many requests for this API key."
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}

{
  "status": "error",
  "errorCode": "RATE_LIMIT_UNAVAILABLE",
  "message": "Rate limit storage is unavailable. Try again later."
}